const fs = require('fs-extra');
const path = require('path');

const srcDir = path.join(process.cwd(), 'src');
const destDir = path.join(process.cwd(), 'nfdist');

const copyAssets = async () => {
  try {
    await fs.copy(srcDir, destDir, {
      filter: (file) => !file.endsWith('.ts')
    });
    console.log('[info] Built Neofunkin');
  } catch (err) {
    console.error('[error] Uh oh.');
    console.error(err);
  }
};

copyAssets();
